Subject: macOS Emacs 27.1 - planarGetBytes warning

From: Jason May <[email-masked]>
Date: Sat, 20 Mar 2021 10:44:05 -0700

Both the emacsformacosx.com versions and the homebrew cask version
output the same message to stderr. These are not identical versions
(executable size is different, unclear what is included or not included
in each) but both claim to be 27.1.

I'm also convinced that this message is coming from the OS/GUI, but
planarGetBytes is not documented anywhere so I wonder if it some sort of
low-level constructed method call.

I've seen reports of other users seeing similar errors over the last
several years, but the precise message contents don't always match.
"count (N) is less than bytesPerRow (M)" where N & M are different.

I'll try a full build from source and see if it still occurs. If I could
find a way to generate a stacktrace when this happens then I might be
able to track it back to the particular emacs event. Currently I can't
find any correlation with my usage.